[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[Libvirt-ci] Build failed in Jenkins: virt-manager-ma ster-py3-check » libvirt-fedora-rawhide #22



See <https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/22/display/redirect>

------------------------------------------
Started by upstream project "virt-manager-master-py3-check" build number 22
originally caused by:
 Started by upstream project "virt-manager-master-py3-build" build number 22
 originally caused by:
  Started by upstream project "libvirt-python-master-py3-build" build number 13
  originally caused by:
   Started by upstream project "libvirt-master-build" build number 1216
   originally caused by:
    Started by an SCM change
    Started by an SCM change
[EnvInject] - Loading node environment variables.
Building remotely on libvirt-fedora-rawhide (libvirt) in workspace <https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/>
[virt-manager-master-py3] $ /bin/sh -xe /tmp/jenkins2199923289759659124.sh
+ MAKE=make
++ uname
+ unamestr=Linux
+ '[' Linux = FreeBSD ']'
+ export PATH=/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/usr/lib64/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/home/jenkins/.local/bin:/home/jenkins/bin
+ PATH=/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/home/jenkins/build/libvirt/bin:/usr/lib64/ccache:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/home/jenkins/.local/bin:/home/jenkins/bin
+ export PYTHONPATH=/home/jenkins/build/libvirt/lib/python3.4/site-packages:/home/jenkins/build/libvirt/lib64/python3.4/site-packages:/home/jenkins/build/libvirt/lib/python3.5/site-packages:/home/jenkins/build/libvirt/lib64/python3.5/site-packages:/home/jenkins/build/libvirt/lib/python3.6/site-packages:/home/jenkins/build/libvirt/lib64/python3.6/site-packages:/home/jenkins/build/libvirt/lib/python3.7/site-packages:/home/jenkins/build/libvirt/lib64/python3.7/site-packages
+ PYTHONPATH=/home/jenkins/build/libvirt/lib/python3.4/site-packages:/home/jenkins/build/libvirt/lib64/python3.4/site-packages:/home/jenkins/build/libvirt/lib/python3.5/site-packages:/home/jenkins/build/libvirt/lib64/python3.5/site-packages:/home/jenkins/build/libvirt/lib/python3.6/site-packages:/home/jenkins/build/libvirt/lib64/python3.6/site-packages:/home/jenkins/build/libvirt/lib/python3.7/site-packages:/home/jenkins/build/libvirt/lib64/python3.7/site-packages
+ python3 ./setup.py test
running test
............................................................................................................EE.......................................................................................................................................................s........................................................................................................................................................................s
======================================================================
ERROR: testGlusterPool (tests.xmlparse.XMLParseTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/utils.py";,> line 182, in test_create
    obj = func(xml)
  File "/home/jenkins/build/libvirt/lib64/python3.6/site-packages/libvirt.py", line 4595, in storagePoolDefineXML
    if ret is None:raise libvirtError('virStoragePoolDefineXML() failed', conn=self)
libvirt.libvirtError: operation failed: pool 'pool-gluster' already exists with uuid 03a6478f-c9d9-440a-be00-6ff5ea855ace

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/xmlparse.py";,> line 1225, in testGlusterPool
    utils.test_create(self.conn, pool.get_xml_config(), "storagePoolDefineXML")
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/utils.py";,> line 184, in test_create
    raise RuntimeError(str(e) + "\n" + xml)
RuntimeError: operation failed: pool 'pool-gluster' already exists with uuid 03a6478f-c9d9-440a-be00-6ff5ea855ace
<pool type="gluster">
  <name>pool-gluster</name>
  <source>
    <host name="my.host"/>
    <dir path="/foo"/>
    <name>gv0</name>
  </source>
</pool>


======================================================================
ERROR: testISCSIPool (tests.xmlparse.XMLParseTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/utils.py";,> line 182, in test_create
    obj = func(xml)
  File "/home/jenkins/build/libvirt/lib64/python3.6/site-packages/libvirt.py", line 4595, in storagePoolDefineXML
    if ret is None:raise libvirtError('virStoragePoolDefineXML() failed', conn=self)
libvirt.libvirtError: operation failed: pool 'pool-iscsi' already exists with uuid c48a301a-4fcc-4e6f-af62-553fec0d6718

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/xmlparse.py";,> line 1207, in testISCSIPool
    utils.test_create(self.conn, pool.get_xml_config(), "storagePoolDefineXML")
  File "<https://ci.centos.org/job/virt-manager-master-py3-check/systems=libvirt-fedora-rawhide/ws/tests/utils.py";,> line 184, in test_create
    raise RuntimeError(str(e) + "\n" + xml)
RuntimeError: operation failed: pool 'pool-iscsi' already exists with uuid c48a301a-4fcc-4e6f-af62-553fec0d6718
<pool type="iscsi">
  <name>pool-iscsi</name>
  <source>
    <host name="my.host"/>
    <device path="/some/source/path"/>
    <initiator>
      <iqn name="my.iqn"/>
    </initiator>
  </source>
  <target>
    <path>/some/target/path</path>
  </target>
</pool>


----------------------------------------------------------------------
Ran 431 tests in 56.901s

FAILED (errors=2, skipped=2)
Build step 'Execute shell' marked build as failure


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]